Whats New

		Here comes a version which fixes quite some recent 
  02-Jul-15	problems and adds a new plugin for AcoustID in the 
		package (but is not installed by default). Hopefully it 
		works for you!




		In order to fix a severe problem with crashing EAC whenever
  09-Apr-15	a read error occurs, I have published a new update. Please 
		install the update as soon as possible! Sorry about any
		inconviences!




		The last version had still some problems, mainly 
		the Cygwin component could cause some problems 
		in some Windows systems. Therefore I updated the 
  04-Apr-15	Cygwin components, hopefully the problems are 
		now gone. Also the CTDB plugin needed an update 
		which is also included. 
		Happy Easter!



		
		The last update was a really long time ago, but
		finally here comes a new version of EAC.
		There are no larger new features, but bug fixes mainly 
		regarding drive detection and problems on installing 
		the .NET plugins made it necessary to release this 
		service update.
		Also I updated the freedb++ plugin, so that it
  18-Dec-14	again finds more covers to choose from. This plugin
		will be released as public domain shortly (I always
		wanted to do that, but I always wanted to comment
		the whole code first - I gave up on that...)
		Finally I updated several included external components,
		like CTDB and Flac.
		Hopefully everything works right out of the box,
		as there aren't that much changes in it anyway.




		The released beta 3 of EAC should be the first 
		really stable 1.0 version, as many more bugs are
		fixed. For an exact list, please read the News.rtf
		file, which is stored in the EAC directory by the 
		installer (which can be accessed via the start 
  21-Sep-11	menu).
		This version includes the CTDB plugin written by 
		Gregory Chudov. It will not be installed by default,
		you need to check the plugin option in the installer.
		If everything works as expected, the next version 
		of EAC will come with the CTDB plugin installed by 
		default. So try it out now!




		I have worked very hard the last 6 month to 
		present you an updated version of EAC, and here 
		it finally comes. It fixes many problems (e.g. 
		saving WAVs in the audio editor and WMA 
		compression should be working again), but also 
		brings you a renewed user interface and an 
		improved metadata editing. One thing I am especially 
		proud of is the autocomplete for the artist and 
		for the composer field. New tag fields like lyrics 
		are also included. The replacers (like %s) are 
		exchanged against some more meaningfull replacers 
		(like %source%). A list for the compression command 
		line replacers can be found in the FAQ. A new 
		professional metadata provider plugin from 
  24-May-11     Get Digital Data is also added, which provides 
		automatically cover images and more metadata 
		information. You can test 10 lookups before 
		purchasing a lifetime license for only $7.99 if 
		you like it. Of course the old freedb plugin can 
		still be used and now includes basic lyrics support. 
		I still plan to open the freedb plugin as open 
		source, so that the community can extend and 
		correct that plugin – or even create new ones for 
		other metadata services. New is also support for 
		a different kind of plugin, which is able to analyse 
		the extraction data and process it somehow, a new 
		plugin for that will emerge soon…
		Have fun!




		Finally here is the new version 1.0 beta 1 which
                has some mighty new features. I took some time
                (mainly the complete change to unicode character
                set), but alls well that ends well...
		Here comes a list of the new features:
		+ Unicode support for all fields (but not CD-Text)
		+ New database engine for storing CD information
                  (old databases can be imported)
		+ Metadata plugin support, for now there is a
		  freedb plugin included. This will be released
		  as open source freeware soon.
		+ Cover support, can be drag'n'dropped from a file,
		  a web page oder can be retrieved via a metadata
		  plugin (support included in the freedb plugin).
		  Cover can be written into tags or in the 
		  extraction directory
		+ AccurateRip v2 support
		+ Better Windows 7 support (like progress display
		  in taskbar icon, storage of user data in the 
		  correct folders, etc.) 
		+ Free selection of first track track number 
                  (including option to continue numbering from 
		  the last inserted CD)
  19-Nov-10	+ Option to always write the log file in english 
		  language
		+ Option for writing a checksum over the extraction
		  log data to the log file
		+ Average extraction speed is listed in the log file
		+ Possibility to write only V2 tags (and no V1 tags) 
		+ Free choice of replacement characters for filenames
		+ Range copy selects now the first selected 
		  consecutive range of tracks as default
		+ New folder browser dialog (system dialog for folders)
		+ Added two placeholders for filename creation for
		  track length (min and sec)
		+ Test for (command line) compression options (and 
		  display of a sample command line)
		+ Menu for removing unwanted/doubled spaces from 
		  "cd title", "artist" & "track titles"
		And some features are now removed:
		- Removed Windows 2000 support (and any older OSs)                
		- Removed ID3V1 tag editor
		- Removed compression offset
		Hope you like it!
		The next version is also planned, it will mainly
		contain an additional demo for a commercial metadata
		provider (if anybody would like to have access)



		I thought that creating a Twitter account would be 
		helpful for letting you participate on small steps
		of EAC development. I will try to post smaller 
		progress information into my micro-blog, as soon 
		as I have some work done on EAC. And I also try to 
		give some background information on some design 
		decisions I will make throughout the development 
  5-June-09	process. If you are interested (and maybe be able 
		to give feedback to some design decisions), I would 
		be glad if you follow my micro-blog on 
		http://twitter.com/exactaudiocopy.
		But please note, that (even though I will read each 
		comment) I will not be able to answer most of your 
		comments. And also please don’t expect any daily 
		updates!



                Long time no read! As I had several private issues
                to attend to over the last year, I didn't find the
                time to work much on EAC during that time. Anyway,
                I prepared a small service release which fixes 
  7-May-09      several bugs which need to be released before 
                it is possible to actually work on the next main
                release. For a detailed description of what has
                changed, please read the change log.
                Sorry that I was away for so long and I hope to
                find more time for EAC in the future!




                Today I released 0.99 prebeta 4, which is mainly a 
                service release of 0.99 prebeta 3. Some bugs are 
                fixed (e.g. Accurate Rip info in the log) and some 
                of the external programs are updated (Accurate Rip, 
                FLAC, WM Encoding Script).
                I wanted to have this version out before I start the 
                work on the next release which will have larger 
                improvements. Of course, the numerous changes that 
                are planned for the next version will take some time, 
                so don’t expect any new version until mid of the year…
 31-Jan-08      Further I have included a desktop and quick launch 
                bar icon in the installer which link to eBay. As the 
                advertisements on the homepage dropped by a great 
                amount over the last year, I decided to try to go 
                this way. I hope that you can understand my decision! 
                Anyway, the icons are created only on the 
                installation of EAC and their installation can be 
                easily prevented by deselecting the eBay component 
                within the EAC installer. The EAC application itself 
                is still completely free from advertisement or 
                spyware (and will be)!
                I hope that you will like the new version nevertheless!




		Bad luck, it is not possible to load the 0.99pb1
 17-Aug-07      profiles anymore, this should be fixed now, please
                use 0.99 prebeta 3




		As the 0.99 prebeta 1 had some severe bugs and
		the accurate rip log output was not as clear as
 16-Aug-07      it could have been, so some wordings are now
		changed. I hope this version will be much more
                stable... Enjoy!




                Finally here comes a new prebeta version of EAC, it
                took quite some time for this update, but I hope 
                you like all the new features.
                One of the biggest changes is the wide support for
                AccurateRip in order to have now two seperate mechanisms
                to ensure bit-perfect rips. Logs are now written with
                all AccurateRip information, and AccurateRip is able
                to work in any extraction mode (as long as whole tracks
                are read).
                Another often requested feature is copy & test for CD
                images, which is now also included.
                EAC now corrects the VBR header of MP3 files after
                writing its ID3 tags, also more tags are written
 28-Jun-07      like duration, command line encoder settings and the
                full CD TOC for later freedb lookups.
                Please remark that now the drive options are not stored
                by adapter and ID anymore, but by the drives name. So,
                if you own two identical drives, changing one drives
                options will directly change the other drives option.
                To realise this, all old profiles can not be loaded
                anymore. If you need your old profiles, it would be best
                to install the new version side by side with the old
                version. Then load a profile with the old version and
                close the program. Open the new version and save the
                appropriate options (e.g. compression options). Sorry
                for the inconvenience!
                Of course the work on EAC will continue, there is
                already a big wishlist on the EAC forum that will
                be worked on within the next months.
                I hope you like it!




		The german magazin c't published an article whether 
		EAC is or is not violating a german law against 
		circumvention of copy protections on audio CDs. Some 
		of the experts they asked had the opinion that the 
		function of retrieving the native TOC is at best 
		working at the limit of legality. Due to that article 
		and to eliminate any possibility of legal problems, 
		I decided to remove that function (although I am pretty 
		sure that it is absolutely legal). I always try to make 
 21-Feb-06	sure to be fully compliant with german law, even if 
		I would interpret the law absolutely differently.
		Anyway, there are at least some few bug-fixes in this 
		update, e.g. creating an image having the artist and CD 
		title as filename will now show the file dialog 
		properly when special characters are used.
		For the next version it is still planned to add 
		test & copy of CD images and for the version after that 
		I will try to implement Unicode support for freedb 
		queries and main window display and edit.
		I am sorry about all this, but please understand 
		my point of view.




		Here comes the new EAC 0.95b3. There are several
		issues fixed, e.g. some CUE sheets could not been
		written to CD-R using CDRDAO and now it is possible
		to wait for external compressors to finish the job
                before powering down the computer. For some users
		with high ping times (like satellite internet users)
 30-Aug-05	there is a new command line option called 
		-slowconnect which will wait longer for a connection
		to be established, hope that will work better.
		For the next version, I will finally implement
		the test & copy function for CD images, due to many
		requests.
		Good luck with this version! :))




                As always there were some slight bugs in the first
                larger release, so here comes directly a new version.
                Hopefully this will fix most issues with the last
                version. CDRDAO problems will partly persists (not 
                starting up), perhaps try a differently compiled
                EXE, any with version number equal or greater to 
  1-Jun-05      1.1.9 should work fine.
                For those who still have problems with accessing
                freedb using EAC, please try the command line switch
                "-http1.1", you can if it works for you enter that 
                directly into the properties of the desktop shortcut 
                (the screenshot shows the german properties dialog, 
                but the changes should be clear).
                Hope you will like it :)
                

  

                It took quite some time until this new version but
                I had to write my diploma thesis inbetween...
                Stability should have greatly improved and there are
                some nice new features and some options people have
                requested. As a new additional feature there is now
                the possibility to use CDRDAO for writing CDs from
 10-May-05      EACs layout editor (like burnatonce), hope this will
                improve compatibility with most writers. Again, read
                more in the "News.rtf" file.
                There is an archive with only EAC and a second one
                that also includes the CDRDAO package for easy
                download. In a few days, if everything works out,
                there will be also an windows installer package to 
                make installation as easy as possible for beginners.




		Here comes the new version 0.95pb5. It doesn't have
		many new features, but every improvement is an
		improvement. Read more in the "News.rtf" file, that
		is included in the archive. 
		At the moment I am quite busy with my diploma thesis
  9-Mar-04	and the work for my living, so it can again take a
		while until a new version will be released...
		So, hopefully you like this one ;))
		Perhaps you found out that EACs homepage on 
		ExactAudioCopy.de was invalid. Strato send me notice 
		for the first of march (without giving any reason). 
		But anyway, the problem with the ExactAudioCopy.de 
		domain should be gone by now. ExactAudioCopy.de and 
		ExactAudioCopy.org domains now point to the new EAC 
		webspace at IPX-Server.




                As it still take some more work to be finished on the
                release scheduled for christmas, I release this small
                bugfix release, which covers mainly corrections on
                sample rate conversion on compression and also a newly
 18-Nov-03      written Native SCSI interface, which now should also
                be able to use external drives and be more stable
                overall. Next version will include AccurateRip and 
                another nice feature (surprise), it will be finished
                christmas, but due to the needed translations, it will
                be released january at best.




                There were still some smaller bugs, and dialog translation
                was made a little bit easier. Some more languages have 
 11-May-03      been added to the default ZIP package, please make sure 
                that you extract the files with pathnames. So, have fun 
                with 0.95 prebeta 3!




                As always, a bug fix release of 0.95 prebeta 1 is released
                a few days later ;-)
 30-April-03    There were some smaller bugs, and some issues for the 
                translation SDK fixed. Hopefully this version don't need a
                third prebeta...




                Finally here comes 0.95pb1. The translation of the program 
                took longer than I expected. Further, I had (and will have) 
                less and less time for working on EAC. The main feature 
 23-April-03    is the language SDK, which enables people to translate EAC 
                into nearly any language. There is more information on 
                that at the download location. Besides that, there are only
                minor additions and a lot of bugfixes. Anyway, I hope you 
                will like it!




                Here is my new page layout, hope you like it! The creator
                was Dean Miles, thanks for creating it!
                On the occasion of the new page layout, I will also put
                out the version 0.9b4. This will hopefully fix some
 22-May-02      smaller bugs like the burning problem and I also worked
                something on hanging in the waveform editor. It may be 
                better now, or on the other hand even worse, if you had 
                problems with the previous version please tell your 
                experiences... Meanwhile the work on 0.95pb1 make 
                progress, main change is the language SDK.
                 



                So, last try ;)
                All bigger remaining issues (like GUI bug, etc.) are
                hopefully now fixed, there are some smaller additions and
                improvements (e.g. assembler FFT, faster spectral
                display). I hope you like it!
 6-March-02     Either uninstall the previous version and use the
                installer of this one, or just unzip the files over the
                old ones.
                For Monkeys Audio DLL support, you need the most recent
                version of the DLL. There are again some changes in 
                parameter passing...




                Nearly after every beta there was need for a bug fix, the
                program is now such complex that even thorough testing
 31-January-01  can't find all problems. But now after all severe problems
                are known, I hurried to bring out 0.9 beta 2 to make the
                release as stable as the 0.9 beta 1 should have been.
                Anyway, I hope this will work for you!




                Finally here is the 0.9 beta 1. I hope this version is
                quite stable, though it is only tested for some days, no
                major bugs seem to be left. The many minor bugs and
                additions will be done in the next versions...
                The following main changes are made from 0.9pb11 :

                   * GUI restructured, added new buttons, changed button
                     type to flat buttons. Artist and CD information is
                     now directly accessible through the main window.
                   * Profile usage is now easier and can be selected by a
                     drop down box on the main window. For using your old
                     profiles, copy them into the Profiles directory in
                     EACs home.
                   * Updated freedb usage to proto 5.
                   * Configuration Wizard to setup basic drive, encoder
                     and freedb configuration for beginner users.
                   * Option setting for leaving out all advanced features,
                     making it easier for beginners.
                   * Secondary C2 extraction mode (may work better for
                     some kind of erraneous CDs and for some but not every
                     drive. Even if it may be misused for copy protected
                     CDs, using this mode on protected CDs is only allowed
                     when legal in your country). This mode is up to now
                     very basic, and will be improved in upcoming
                     versions.
                   * Manual detection of TOC, usefull if a CD is defective
                     and displays wrong track positions or data tracks
                     instead of audio, EAC will try to detect the CD
 21-January-01       structure by analysis. For this, your drive must
                     support Gap Detection mode B.
                   * Uncompressed and compressed extraction is now
                     divided, so compression options will missing
                     "Internal WAV routines".
                   * More placeholders for external command line encoders
                     in "User Defined Encoder" format, see FAQ for
                     details.
                   * Correction of MP+ decoding bug with command line
                     decoder.
                   * New Monkeys Audio (MAC) DLL support, you need at
                     least DLL version 3.94.
                   * Compression queue is saved to harddisk and continued
                     on next EAC session.
                   * Improving Pop Detection to 4 band analysis.
                   * Some more smaller additions... ;))
                   * Display of actual extraction position in real music
                     time (for error checking)
                   * Small corrections to ID3V2 routines, I hope they will
                     still work ;)
                   * Correction of support for some writers (no
                     Philips/RAW MMC support though)
                   * Many smaller additions and bug fixes

                Again I hope you will like this version!
                It is recommended to delete the registry enrty in
                HKEY_CURRENT_USER in order to prevent problems with
                previous versions.
                Work will continue, the next big step will be a
                localization version, which will help to translate all EAC
                texts into your own language. But please do not ask when
                it is ready, it will be finished, when it is finished!
                Thanks.




                I originally wanted to put out the next version as 0.9
                beta, but now it only got to 0.9 prebeta 10. I force this
                release out as there were some major improvements and
                bugfixes that many users asked for day by day. It does not
                contain all features of 0.9 beta, but it is comes quite
                near, only some more additions to the wave editor are
                missing.
                The following main changes are made from 0.9pb9 :

                   * Again many bug fixes (ID3V2 tag size for VBR header,
                     Ricoh writing, compression in the background, etc.)
                   * It is now possible to specify a different naming
                     scheme for various artist CDs
                   * The power down computer option can now be selected
                     during extraction
                   * Submission of drive features to a central database to
                     share information with other users which don't know
                     the features of their drives or also to combine ones
                     offset if several different results occured on
                     detection.
                   * ID3V2.3.0 tag support (previous version only wrote
                     only ID3V2.4.0, which can't be read correctly by a
                     majority of tag/play utilities)
                   * In order to access more devices on interfaces like
                     USB, Firewire and of course IDE and SCSI drives, EAC
                     is now able to use the ASAPI interface of VOB instead
                     of ASPI or Native SCSI
                   * If you own a multiprocessor system, you can start
                     several encoding threads in the background to speed
                     up compression
                   * To use the newest Fraunhofer FastEnc MP3 encoder
                     on-the-fly, EAC is now able to access the CoolEdit
 22-June-01          Pro MP3 PlugIn if copied to the EAC directory
                     (fht.flt)
                   * On external compression, the user defined encoder can
                     use any file extension, Ogg Vorbis and RKAU are now
                     supported as external command line encoders
                   * Using Undo in processing waveform is now optional
                   * EAC now uses FreeDB exclusively, to update your
                     server list, use the "Get active FreeDB server list"
                     function
                   * Interpolation - Replace Frequency works fine now (I
                     am quite satisfied with it now :)
                   * EAC is able to use LAME.EXE (.MP3) and MPPDEC.EXE
                     (.MP+ and .MPC) for decompression and for on-the-fly
                     writing of CDs. Just copy the executables to the EAC
                     directory. For MP3 decompression with LAME.EXE it is
                     also necessary to either not having the MP3
                     Fraunhofer codec installed or to select the option in
                     the compression options. Beware : You need the most
                     actual versions of both programs as previous versions
                     introduced errors in the decompression (sometimes
                     even total trash). So decode a file once using EAC to
                     make sure it is decoded correctly!
                   * Some more smaller additions... ;))

                Hope you will like this version!
                I also tried to use the SHN Decoder shortn32.exe for
                on-the-fly decompression/writing in EAC, but the
                decompressor has some bugs making this impossible. It
                allows to write the decompressed output to the StdOut
                pipe, but it does not set the binary mode correctly. You
                could try it by yourself by decompressing using "shortn32
                -x abc.shn - >abc.wav" , it will change endian and
                channels all over the file...



                As the 0.9pb8 version of EAC caused many new problems, I
                decided to put out a new release in order to fix most of
                them. I strongly recommend to download this version if you
                already use 0.9pb8.
 16-February-01 Please note that this version store its options no longer
                in the HKEY_LOCAL_MACHINE key, but now use
                HKEY_CURRENT_USER. No options are transported to the new
                location, so if you want to use your old options set, save
                an option profile with your current version and import
                that into 0.9pb9.



                I just want to tell everybody that I have decided not to
                answer the registrations cards anymore (only those who
                contain extras ;)
                This is mainly because it takes too much of my time (which
                should better be spend in development) and I have lost
                tracking over the registrations in the last four weeks
 5-November-01  (because of a holiday and a water damage in my rooms). The
                registrations itself are fine, but I can't decide anymore
                whether I already have answered or not. As I have
                collected registrations before I have answered them, the
                last eight weeks registrations will be without answer
                also.
                So from now on, please accept that I will not answer the
                registration cards anymore, sorry about this!



                I will be on holiday from 12th September to 26th
                September, so please don't send registrations nor emails
                to me during this time, as it would be much work to come
 7-September-01 up to them. I hope Ireland will be as nice as last time,
                now I will have a close look at Cork and Kerry :))
                I hope some persons in the mailing list will standing in
                for me and try to answer all questions that might occur
                there.



                At the moment I build up a CD-ROM drive feature database
                for inclusion in EAC. For that purpose I need more
                submissions of features. So I ask everybody to please test
                and submit the drive features of EAC. "Detect Read
                Features", "Examine C2 Feature" (if C2 was detected by the
                first test and using a scratchy CD) and "Offset Detection"
                (using as much CDs from the list). Please test all of your
 7-July-01      drives, even if you personally don't use it for
                extraction, and also please try to detect offsets (which
                shouldn't be important to most users, but I would like to
                have a complete database).
                Up to now I am in need of many more offset tests, the
                amount of feature tests are already ok. I would really
                appreciate your help, thanks!
                PS: If you disabled submission, it can be enabled again in
                EAC Options / Tools.



                As the 0.9pb10 version of EAC caused again many new
                problems, mainly not detecting drives anymore, I released
                a new version quickly. I strongly recommend to download
 27-June-01     this version if you already use 0.9pb10.
                Of course I tested 0.9pb10 on my system but never
                encountered any problems. I use version 4.57 of ASPI,
                perhaps different versions make problems.
                Sorry about that...



                I originally wanted to put out the next version as 0.9
                beta, but now it only got to 0.9 prebeta 10. I force this
                release out as there were some major improvements and
                bugfixes that many users asked for day by day. It does not
                contain all features of 0.9 beta, but it is comes quite
                near, only some more additions to the wave editor are
                missing.
                The following main changes are made from 0.9pb9 :

                   * Again many bug fixes (ID3V2 tag size for VBR header,
                     Ricoh writing, compression in the background, etc.)
                   * It is now possible to specify a different naming
                     scheme for various artist CDs
                   * The power down computer option can now be selected
                     during extraction
                   * Submission of drive features to a central database to
                     share information with other users which don't know
                     the features of their drives or also to combine ones
                     offset if several different results occured on
                     detection.
                   * ID3V2.3.0 tag support (previous version only wrote
                     only ID3V2.4.0, which can't be read correctly by a
                     majority of tag/play utilities)
                   * In order to access more devices on interfaces like
                     USB, Firewire and of course IDE and SCSI drives, EAC
                     is now able to use the ASAPI interface of VOB instead
                     of ASPI or Native SCSI
                   * If you own a multiprocessor system, you can start
                     several encoding threads in the background to speed
                     up compression
                   * To use the newest Fraunhofer FastEnc MP3 encoder
                     on-the-fly, EAC is now able to access the CoolEdit
 22-June-01          Pro MP3 PlugIn if copied to the EAC directory
                     (fht.flt)
                   * On external compression, the user defined encoder can
                     use any file extension, Ogg Vorbis and RKAU are now
                     supported as external command line encoders
                   * Using Undo in processing waveform is now optional
                   * EAC now uses FreeDB exclusively, to update your
                     server list, use the "Get active FreeDB server list"
                     function
                   * Interpolation - Replace Frequency works fine now (I
                     am quite satisfied with it now :)
                   * EAC is able to use LAME.EXE (.MP3) and MPPDEC.EXE
                     (.MP+ and .MPC) for decompression and for on-the-fly
                     writing of CDs. Just copy the executables to the EAC
                     directory. For MP3 decompression with LAME.EXE it is
                     also necessary to either not having the MP3
                     Fraunhofer codec installed or to select the option in
                     the compression options. Beware : You need the most
                     actual versions of both programs as previous versions
                     introduced errors in the decompression (sometimes
                     even total trash). So decode a file once using EAC to
                     make sure it is decoded correctly!
                   * Some more smaller additions... ;))

                Hope you will like this version!
                I also tried to use the SHN Decoder shortn32.exe for
                on-the-fly decompression/writing in EAC, but the
                decompressor has some bugs making this impossible. It
                allows to write the decompressed output to the StdOut
                pipe, but it does not set the binary mode correctly. You
                could try it by yourself by decompressing using "shortn32
                -x abc.shn - >abc.wav" , it will change endian and
                channels all over the file...



                As the 0.9pb8 version of EAC caused many new problems, I
                decided to put out a new release in order to fix most of
                them. I strongly recommend to download this version if you
                already use 0.9pb8.
 16-February-01 Please note that this version store its options no longer
                in the HKEY_LOCAL_MACHINE key, but now use
                HKEY_CURRENT_USER. No options are transported to the new
                location, so if you want to use your old options set, save
                an option profile with your current version and import
                that into 0.9pb9.



                This version is also a big bugfix release, but also
                incorporates many new features, I hope you will like it! I
                will really try to give out a new version more often from
                now on (I know, I promised so already earlier ;)
                The following main changes are made from 0.9pb7 :

                   * Again many bug fixes (File naming, CD writer module,
                     etc.)
                   * Automatic creation of CUE sheets from WAV images
                   * Splitting of WAV images according to their CUE sheets
                   * Option not to open external commandline encoder
                     window
 26-January-01     * ID3V2 tag support (before you start reporting that
                     the tags are unreadable, please not that EAC support
                     already ID3V2.4.0, but most other actual applications
                     don't)
                   * MP+ command line encoder support
                   * WAV editor could use RAM for temporary data
                   * Finally, C2 support for the PlexWriter series (only
                     the newer modells)
                   * Many, many smaller additions and corrections...

                The next version will be probably 0.9beta. I hope you will
                like the new version, please be patient for the next one,
                I have only some spare time for EAC...



                Sorry to say that I had to add some ad banners to these
                pages. This become necessary as until now I paid all
                webspace and internet costs by myself the last 2 years
                (which are per month $10 for the webspace and around
                $10-$20 for internet usage). Not only that I haven't
 19-November-00 earned anything by EAC, even more I put actually money
                into it. And I will soon get DSL, so costs will increase
                even more. I thought about how to get some income for all
                expenses, and making EAC shareware or something like that
                isn't favored by me (and probably also not by you ;) So it
                seemed the best way adding some banners to my site, sorry
                for any inconvenience!



                As the last version still contained many new bugs, I
                release a new prebeta version with most of these bugs
                fixed. Additionally I already implemented some smaller new
                features. Hope this will work better...
                The following changes are made from 0.9pb6 :

                   * Again many bug fixes (LAME DLL fixes, Compression
 10-October-00       crash, ID3V1.1 Tag corrections, etc.)
                   * Visiual CUE sheet editor in the wave editor
                   * On the fly burning of Monkeys Audio sound files
                   * Queuing of compression tasks in the background on
                     extraction (as option, need probably some tests)

                Next updates will still take some more time, I am pretty
                busy at the moment.
                Sorry that I didn't released a new version so far, but I
                had plenty of work at the university and in my job. But
                now 0.9pb6 is finally finished. I removed many bugs
                lately, but of course there will be still plenty of
                them...



                I decided that this release and all future prebeta
                releases will be available again to all users, it should
                be stable enough to not having piles of bug reports.
                Further this version has ToolTips for most option dialogs
                that should help beginner users. From now on there will be
                more frequent, but smaller updates as mainly audio editor
                features will be improved for the next version. It is
                possible that the one or other feature is not perfect yet,
                so please report any bugs to the mailing list.
                The following changes are made from 0.9pb5 :

                   * Many bug fixes (Plextor 40x Multisession (I hope it
                     is gone), etc.)
                   * Support for Sony (HP) writers
 29-August-00      * ToolTips help for most option dialogs
                   * Additional options for LAME and Gogo DLL encoder
                   * Creation of offset CDs for determing the combined
                     read/write offset or the absolute read offset (if you
                     know the write offset of your drive)
                   * More improvements to the write layout editor
                   * BurnProof support for Plextor 1210
                   * Correct offset correction for MP3 compression and
                     decompression
                   * Drag and drop from the explorer to EAC (Main window
                     will compress (WAV) or call the write module (CUE),
                     the write window will add files as index 1 (WAV) or
                     load a cue sheet (CUE))
                   * ID3 V1.1 support
                   * Direct (without previous decompression) MP3 and
                     compressed WAV write support
                   * Support for writing under Win2000 for IDE drives
                     (that work under Win98)
                   * More new features, too many to mention...



                I just uploaded a bugfixed 0.9pb4 version, mainly the
                native SCSI functions did not work that well. I hope to
                have fixed it now, please tell me about your experiences.
                This version will in every case switch the interface to
                ASPI (if installed), so if you want to test the native
 8-May-00       interface you have to explicit select it. I named this
                version to 0.9pb5 as otherwise there would be again
                version naming conflicts when exchanging informations.
                I also quickly added some more compression features, like
                Gogo DLL on-the-fly compression, Shorten and Monkey's
                Audio external commandline compressors.



                Today I release the 0.9pb4 to the public, but this was the
                last prebeta version I released to the public, the next
                ones will be non-public again. It was really a mistake to
                let anybody download 0.9pb3 without most people knowing
                what "prebeta" really means... Many think it is a full
                working version, but it wasn't and also this one will
                contain many bugs, that's why it is called prebeta. I just
                put up this version to remove most bugs of the last
                version.
                The following changes are made from 0.9pb3 :

                   * Many bug fixes (sound output, CDDB, LAME, cd write,
                     MMC C2, etc.)
                   * Support for some more writers
                   * CD-Text write support
                   * FAAC (both versions) support
                   * Native SCSI support for WinNT/2000
 24-March-00       * Many improvements to the CD write layout editor
                   * Some more new features...

                Hope you enjoy it!
                The SCSI native interface could be still buggy, on my
                computer sometimes the data was not transferred correctly.
                This is visible e.g. in displaying only one track (track
                number 00!) with other wrong informations. This could
                happen after working minutes or hours without any problem.
                I don't know why this happens, if anybody can recreate a
                situation where this always occurs, please tell me...
                Everything else should be quite clear, if there are
                questions please use the forum or the mailing list.
                I am on holiday from 26.3. to 16.4 visiting USA for a car
                trip around Texas, Colorado, Nevada, California... So
                please do not send any registration cards nor emails
                (whatever kind), as my mailboxes would explode otherwise
                during these three weeks... ;)   Thanks!



                Some people reported problems with the LAME DLL. It works
                flawless for me, so those should try to redownload it.
                Albert Faber just released a bugfixed LAME DLL with his
                CDex 1.20, download it and try that DLL. If it does still
 30-December-99 not work, please contact me again.
                The problems on SCSI bus reset during writing are still
                unsolved, I just removed the SCSI1HLP.VXD from my
                windows/system/iosubsys directory, I hope this would help
                somehow.



                Here comes a official released 0.9pb3. This is because
                many users complaint about the information(!) dialog. I
                just don't want to read these mails anymore... I don't
                think that that warning message was so important, if I had
                knew what troubles it would cause, I probably never
                implemented it, making lots of users work with older
                versions.
                Enough for that, this version should remove many problems
                with older EAC versions like the Win2000 file dialog box
                bug. Please remark that this is only a prerelease without
                any documentation and no support. Everybody who tested
                0.9pb1 and pb2 should test this version on new/old bugs
 23-December-99 and report me about it. I hope everything will work, as I
                implemented many features "last-minute". Don't ask me
                about features that don't work, as not everything is
                implemented yet. There are many additions like LAME
                support (EXE and DLL), index based extraction, cool down
                feature, etc.
                The next prebeta version will be unofficial again, the
                0.9b final is planned for march 2000.
                If you have a question, please use either my mailing list
                or my forum, but do not bother me directly. If there you
                found a real(!) bug, then please contact me.
                Now I wish all of you merry chrismas and a happy new year!
                Peace to the world!
                I'm sorry that again a time-out message pop up so early...
                I hope there are no severe problems, as EAC crashes
                Windows on some systems when displaying this message. If
                there are such problems, contact me...



                I finished the second prebeta version of EAC 0.9, now more
                CD writer should work. It will now be tested by my beta
                testers. There was a severe bug in ALL secure extraction
                routines, I found it because it was occuring more often in
                the new C2 extraction mode... Further there are many
                bugfixes and some additions, hope you will like them.
                I already announced a utility to gather CD informations
                for EAC offset detection routines. If you own a Plextor
                PX32 then please help me and send me as many cd infos from
                common(!), well-known CDs using this program. It will
                create a file in the current directory for every CD
                catalogized. Please send me as many CD infos as possible
 11-November-99 (you should compress them with WinZIP into an archive
                before sending it), and please fill all information fields
                you will be asked by the program!
                There will be most probably a third prebeta version before
                the release of the official 0.9 beta, so I don't expect
                that version before the new year!
                I will soon get the opportunity to test EAC on Win 2000
                RC2, to find that annoying file dialog bug... Further my
                Forum pages are down, I already mailed my provider, but
                didn't received a response so far.
                There is now an offical EAC banner, have a look on my
                links page.
                I will be on holiday from 14.11 up to 21.11, so I won't
                respond to any mails. If you have a question, please
                subscribe to my mailing list and ask your question
                there...



                In tradition of the Hobbits in J.R.R. Tolkiens "Lord Of
                The Rings", today I will give you my birthday present :)
                I compiled 0.9 prebeta 1 and made it available to prebeta
                testers. The suprise in this version I announced are two
                new features :

                   * C1/C2 Error Correction Secure Read Modes for Plextor
                     CD-ROM drives and MMC-complient drives that support
                     this feature. Using this mode, the drives will use
                     nearly burst speed for secure extraction. The Plextor
                     CD-ROM drives 8x up to 40x , some MMC-complient
                     drives like Teac 56S/58S and some other drives
                     support this feature. In this mode, my Plextor PX32
                     extracts up to 16.7 X in test mode...
                   * CD Writing Routines for writing audio tracks. This
                     will work at the moment only for MMC compliant
 8-October-99        writers. The burn stream could also be offset
                     corrected, so that having an absolute CD-ROM drive
                     offset and an absolute CD-R write offset. The write
                     offset is easily calculated by this formula :
                     Absolute Reader Offset + Absolute Writer Offset =
                     Combined Reader Writer Offset

                There is a bug in EAC causing the crash of Win 2000 RC2
                when pressing OK or CANCEL in every file dialog box. I
                already try to fix it, but didn't found the bug yet.
                In the next official release or perhaps already in 0.9
                prebeta 2 will most probably again CDDB proxy support
                included, but CDDB access will be then HTTP only...
                Don't expect the official 0.9 beta before mid of december,
                there is still many work to do until then. Over my
                birthday I will be at home, so I will read you again
                sunday...
                By the way, my pages now also features a Forum...



                So, here comes EAC 0.85 beta 4. I added the beta version
                number in order to prevent disinformations in the mailing
                list, to identify the version correctly. All main
                remaining bugs from beta 3 should be removed now and I
                will start work on version 0.9 beta.
                Mainly the bugs with NT are removed now, further the wrong
                ending times of some CDs on some drives should now be
                corrected, although it is still possible that very few CDs
                will still not work (mainly CDs with only few tracks). If
                you have such a CD you should start EAC (for that CD) with
 2-September-99 the command line option -nomultisession then. Also it is
                now possible to create CUE sheets with CD-Text additions
                (but I heard, that sometimes CDRWin does not create
                CD-Text CDs on such CUE sheets even if it does accept the
                CUE sheet).
                I have now two domains that will be ready somewhen next
                week, so I will move... The new address for EAC will be
                http://www.ExactAudioCopy.de and my private homepage will
                be at http://www.Andre-Wiethoff.de. I will keep up this
                site a month or so and then all users will be redirected
                to the new pages automatically...



                Again sorry, I just found another possible bug, that I
                just removed. It has to do again with some WAV files in
                the wave editor making EAC stop. It only happened when
                having selected "No use of null samples for CRC
                calculations".
 2-August-99    Further I corrected the bug with the CDDB batch function.
                It should now work also. So please download again that
                version... Sorry!
                I think this is still not the "final" 0.85 beta version,
                as I want to fix the Toshiba/etc "Can't find matching read
                mode" bug first... So keep updated ;)
                I am terribly sorry, but I could test as much as I want,
                it would never be enough ;)



                I just returned from my weekend, so I hadn't the
                possibility to do anything on it until now...
                So users already reported my three severe bugs. I just
                removed these bugs and already put up an updated version
                (same version number though)

                   * If no WM Audio Codec was installed, EAC would produce
                     WMA files instead of WAV files when using Internal
                     WAV Routines
                   * Some WAVs loading in the audio editor make EAC stop
                     at FFTWnd.2338
                   * If no system TEMP directory was specified EAC started
 1-August-99         up with an error message at WndProcs.1093

                Thanks for all reports on these bugs, but I will not
                answer the mails that only reporting one of these bugs,
                there were much too many of them ;)
                It is possible that some drives will now make problems
                with 0.85beta when inserting a CD. If so, try the
                commandline options -nomultisession and -nocdtext when
                starting EAC (as explained on my Tips & Specs page)!
                Further, several persons asked me not to use such a
                mailing list. They thought that Onelist.com will spread
                their email addresses and that they will be mail bombed
                with SPAM. On the homepage of Onelist.com is declared that
                they will not distribute any email address and that they
                will not send any unsolicited email. The only bad thing is
                that a small advertisment is added below each mail.
                Finally, EAC 0.85 beta is out! I hope you like it, there
                were really many changes to 0.81 beta, but I think you
                will see for yourself.




                Finally, EAC 0.85 beta is out! I hope you like it, there
                were really many changes to 0.81 beta, but I think you
                will see for yourself.
                New features that in 0.85 beta adding to the features
                listed in the previous news

                   * Certified Escient ® CDDB(TM) Compatible
                   * Absolute sample offset detection
                   * Overreading capability for extracting correctly with
                     non-zero offsets
                   * Preliminary WMA (MS Audio) support
                   * Sorry to say that interpolation in the audio editor
                     is still not really improved, I will do it for the
                     next version...

                There are still some more informations...
                I started a new CD-ROM drive database, please help me to
                fill it out as good as possible. Have a look at the table
                and send me the information for your drives. Please make
 30-July-99     sure for the sample offset to test it with at least two
                different CDs and to use at least 0.85 beta!
                I don't have the time anymore to give email support for
                EAC or similar problems. From now I started two mailing
                lists at www.onelist.com. The first list is for users
                asking other users for help. I hope that many experienced
                users will help the other... The second mailing list is,
                like the mailing list I maintained so far, only a
                announcement mailing list. If you are not interested in
                tips and help from other users you probably want only
                subscribe to eac-announce. In the announcement list all
                news about EAC are spread.
                For all persons already in my mailing list : The current
                database will be lost, so please subscribe again at
                eac-announce. I try to answer to problems in the mailing
                list, if no one else find a solution to a problem, but do
                not mail me to my email address for help. I will not
                answer on such mails. The only exception would be if you
                encountered an unknown bug and I want you to help me
                debugging the problem.
                Thanks for your understanding!




                As I still have no confirmation of CDDB that EAC complies
                to the license agreement, I have to move the release date
                by a week. On the other hand I have some more time to do
                some additional features for the audio editor ;) It took
                some time, because there were always some terms of license
                not correctly implemented. The last thing I had to change
                was the proxy and the proxy authentification... Sorry, but
                complying to the license agreement I had to remove them
                for 0.85 beta! If there are any complaints, please mail to
                them directly... So, new release date will be 30.7.99..
                Hope you are not disappointed too much ;)

                Other new features that will be in 0.85 beta
 21-July-99
                   * Nearly complete change of the audio editor, now it
                     becomes usable ;)
                   * Loop record mode for always having an amount of time
                     in memory buffers, making it possible to start
                     recording that amount later (for records from radio,
                     etc. )
                   * Automatic rename of MP3 files according to their ID3
                     Tag
                   * Catalog of audio CDs, allowing to extract a specified
                     time from the start of each track with optional fade
                     out
                   * Copy with gap prepend at the beginning of the correct
                     track (with matching CUE sheet generation)
                   * Some more bugfixing and some more new features...




                Sorry to say that version 0.85beta is still not completed,
                but following a list of new features already implemented.
                A prebeta version is tested at the moment, meanwhile I
                will work on improvements of the audio editor. I expect
                that the official 0.85beta will be released somewhen
                around 23. July 99...

                Already implemented

                   * Secure mode for accurate stream drives that caches
                   * Proxy authentification for CDDB and lyrics accesses
                   * Multisession CD support
                   * CD playing digitally possible (without cable)
                   * Position slider for CD playing
                   * Automatic creation of directories by filename
                     specification
                   * Power down computer after extraction
                   * Priority selection for extraction and compression
                   * More drive options (e.g. swap channels, spin up,
                     etc.)
                   * 3 different gap detection methods, so at least one
                     should work with each drive
                   * Better support for external compressors
                   * Support for 10 types of external compressors (MP3,
                     VBR, AAC, VQF, RA)
                   * Batch compression feature with selected compression
                     scheme
 3-June-99         * Batch decompression feature with automatically
                     choosen decompressor (only .WAVs and .MP3s)
                   * Compression and decompression could make an offset
                     correction, as some compression schemes do not
                     compress correctly. Also including autodetection for
                     offset value
                   * Local CDDB support
                   * Saving options to registry
                   * Creating and loading user profiles
                   * Automatic changes to track names (e.g. upper all
                     first characters)
                   * CD-Text support
                   * Submission of CD data to the official CDDB database
                   * Export of CD data to text files, etc.
                   * WAV recorder with dB level meter and peak level
                     search (in dB) for checking on overamplified
                     recordings
                   * ID3 Tag editor with drag and drop from track list or
                     CD database browser
                   * Some more smaller features...
                   * Really many bugfixes, e.g. IDE Yamaha crash on
                     startup, Sync Error at the end of the last track,
                     etc.

                Moreover, I am sorry to say that version 0.81beta will pop
                up a dialog telling the version is rather old, without
                having a new public version out. I will try to patch that
                version and put a "new" 0.81beta version again on my
                page...




                Work for 0.85 beta is in still progress and will most
                probably take two more month... I nearly finished CDDB
                submission and also implemented some other features like
                three different methods for gap detection to support now
                nearly any drive out. Therefore I already removed a bug
                that caused EAC to hang in index retrieval (not gap
                detection). It could happen that EAC will not leaving a
                loop :( But it is fixed already. A faster gap/index
 11-March-99    detection mode will work for Plextor/Yamaha/etc.
                Further there is a bug that occurs sometimes when a track
                has been extracted, causing EAC to stop around Utils.5707.
                Hope that it will be fixed soon...

                Because I will buy a new computer tomorrow, I won't be
                able to read or answer mails until my system is build up
                and installed all software again. I think it will be
                completed something around sunday or monday. So please be
                patient...




                I am sorry that it took that long to finish the bug fix,
                but on the one hand I wanted to remove all that really
                bigger bugs and on the other hand I got the flu and
                couldn't concentrate on anything week before last week...
                Now I am almost ok again ;)
                So here is the (new) version that should fix most of the
                bugs of 0.8beta. 0.8 beta will be removed completly from
                the server, as the new one has nearly the same features...

                The new version includes

                   * Fix of error detection and correction that does not
                     worked correctly in 0.8beta! Further I replaced the
                     guessing routines with the ones from 0.7beta, as many
                     mailed me that the newer ones worked not as good as
                     them. When I find out how to improve them, they will
                     be back again, but for now the older guessing
                     routines should work ok for most users.
                   * Fix of not finding matching read modes for some
                     Philips and Toshiba drives. On these drives it is
                     also necessary to select the option 'Check for
                     density parameters'. Further, some drives need to
 19-February-99      change wordnibbles to get correct results (otherwise
                     only noise is extracted). For that a new option is
                     included.
                   * The obsolete part that slowed down burst copy is now
                     removed. Now it will copy on my Plex 14/32 with max
                     16.5X (accesses to harddisk too slow, because I only
                     use a cheap Fast-SCSI card) and test tracks with
                     something around 23.0X.
                   * Added 'intelligent' WAV file comparison. It will
                     detect missing and extraneous bytes everywhere in the
                     files and also gather other differences of both
                     files. This feature could also be used in the WAV
                     editor to easily select ranges of differences.
                     Furthermore it could be used to determine the
                     combined reader/writer offset.
                   * The WAV editor now has another filter, smoothing.
                     This is helpful for many kinds of defects beside
                     clicks and pops.

                It seems that the IDE versions of the Yamaha CD-R(W)
                drives will cause many problems, mainly crashing EAC on
                startup. Therefore I added command line options for these
                drives for the moment. I will soon debug this on such a
                drive. No other drives seem to cause such problems...




                Now here it is, the new official 0.8beta. ;)
                It was really a long time without any updates, but I think
                it was worth the time. Even if it has no really big new
                features, but many improvements and bugfixes on nearly all
                functions.
                The new version includes

                   * New fast secure read modes for accurate readers and
                     also for drives that caches
                   * Complete improvement of read modes and Test read
                     function, allowing to calculate CRC checksums without
                     using disk space
                   * BladeEnc DLL support
                   * Remove leading and trailing silence
                   * Fill missing offset samples with silence
                   * Automatic detection of drive features
 22-January-99     * Selection of extensions for headerless WAV files
                   * Test detected gaps on silence
                   * Save extraction log
                   * Selection of error recovery quality for faster
                     extraction on bad CDs
                   * WAV editor with already some functions for editing,
                     more to come...
                   * Many bugfixes, too many to mention

                There are still many bugs, but I hope to remove them
                sooner or later. If EAC makes problems on your computer,
                please read the What's New page.
                I will do nothing on EAC the next week, but then work for
                0.9beta will begin. Many people told me a lot of ideas of
                improvement. Because there were too much mail the last
                month, I would ask to tell me the not yet implemented
                ideas again, if not stated in the 'Planned for next
                release'. But also experiences are appreciated!




                I am sorry to say that the release date will be some days
                later. New expected release date will be the 22.1.98. The
                last weeks I had lot of work at the university and EAC
                also took much work to finish all features I planned for
 14-January-99  0.8 beta. You will surely be surprised which features are
                now really in it... :)
                I have to say the 0.8 beta will not have these announced
                features: Submission of CDDB entries, Support of other
                local CDDB databases and Proxy authentification. But I
                will try to include it in version 0.9 beta then.




                I did not had as much time as I wanted the last two weeks.
                So I didn't work on EAC very much. But now, I have
                christmas holidays and work will go on a little bit faster
                again.
                From now on, I will not only send notifications on new
                versions to the people in my mailing list, but also
                everytime a news entry is added to the What's New page.
                The mail will contain the newsentry... If you don't want
                to be in the mailing list anymore, just send me a mail.
 22-December-98 Thanks.
                Expected release date of EAC 0.8 beta will be 18.1.99, but
                I have to wait if there are still bigger problems with it,
                this release date could change.
                By the way, today I visited the 'Star Trek World Tour',
                but was not as big as I thought... The ratio of fun/money
                could be much better, but Star Trek fans will nevertheless
                have a look at it ;)
                So, I wish everybody merry christmas and a happy new year!




                Work is going on pretty well, but I have to say that it is
                most probably, that CDDB submission will not be in
                0.8beta.
                I am sorry for that, but if I would implement it right
                now, the release date will move at least a month... So I
                decided to put it back until 0.9beta.
                All other features are implemented in time, at least I
                hope so. There will be plenty of new features in version
                0.8beta, also some that are not named in the list above :)
                But furthermore there will be some annoying bugs removed,
                at first the bug, that the last sector of a CD is not read
                in any case. So the last track will be one sector too
                short always. This was a really silly bug and I am sorry
                for that. Moreover there are error poping up like Assign
                Range at Utils.2593 and that the system slows down totally
 29-November-98 when starting EAC. So please do not mail me if you
                encounter any of these bugs, I know them already and I
                work on their removal. I don't know if I am able to remove
                them all completly, but I will try so.
                I have to say, that NOBODY mailed me regarding my last
                news entry (a few lines down) from the 5-November. :( If
                you are not getting pops, you probably made a CDDB
                database by yourself...
                There is one more favour, I would like to ask. If you
                encounter any new link of a really big shareware site to
                my page, please tell me. And moreover if you find any
                review of EAC (or something similar) in a computer
                magazin, I really would like to have a copy of it (or at
                least the according pages, or if postage is too expansive,
                also a scan of that page would be sufficient)... Thanks in
                forward!




                I am already working on the next version, and for that I
                want to ask everybody who often got pops on extraction to
                send these to me to test my routines... I am in need of
                some real pops! ;)
                Furthermore I will start a EAC database project now. If
                you have build up your own database (perhaps also some
                with lyrics), please send it to me. I will build one huge
 5-November-98  database of all your CDs and put it somewhere in the web.
                This will help those, who don't have internet access (or
                not always).
                Please send me a short mail if you want to send me WAV
                files or databases that are over 10 kb in size... Thanks
                in forward!
                Don't expect any program updates until christmas, only if
                big bugs have to be removed :)




                Release Date of version 0.7beta
                This version mainly bugfixes many small and some bigger
                problems, also the hanging on some systems and some CDDB
                problems...
                The new version includes

                   * CRC checksum calculation for tracks
                   * Test read function, allowing to calculate CRC
                     checksums without using disk space
                   * Disabling CD Autostart feature for runtime of EAC
                   * Lyrics support (first try ;)
                   * External MP3 compression support (including long
                     filenames and ID3 tagging)
                   * Automatic CUE Sheet creation of CD's (including all
                     track indices!)
                   * Time format could be changed from hundredth seconds
 2-November-98       to frames
                   * Leaving out WAV header (optional) for true MP3 files
                     or raw audio data
                   * Batch CDDB queries
                   * Lots of bug fixes, and as always some new bugs
                     (drive reset, speed selection and CDDB bugs should be
                     fixed now)

                One of the main bugs still in EAC reported by my beta
                testers is that after extraction the system is not really
                stable anymore at least on some systems. I don't know why
                yet, because on my system everything seems to be ok. But
                to be on the safe side you should reboot if you need a
                real stable system. Sorry!
                By the way, my Plextor came back like new after a week of
                repair... But I decided to sell that one and bought a new
                Plextor 32TSI already. Furthermore today I bought a
                Soundblaster Live! :)




                I already removed many bugs of version 0.6beta, but there
                is still the main bug in it... On some systems (until now
                only SCSI systems are affected) the system hangs after
                starting extraction. The drive LEDs are flashing like the
                drives doing a reset. The flashing LEDs bug is already
                removed, but on these systems there is another bug on it
                (perhaps very similar to that other bug), that will read
                now the first part of the track only zero samples and the
 21-October-98  rest correctly. I will go debugging it on a friends
                computer next week.
                Because of that many bugs, I decided to bring out a new
                version earlier than planned. If everything works fine and
                I will find that bug, version 0.7beta is planned to come
                out end of next week. It will not have all features
                described above, to be honest the main features
                (Submission, Pop Removal and Secure Mode for Caching
                Drives) will miss. But I think bug fixing should be done
                first.




                There seems some problems with EAC v0.6beta on some
                systems. There was one report of extracting too slow
                (possibly only Plextor 32TSI) and one report of not
                ripping of second or third drives. Only the first drive
                was used for extraction even if another one was
 5-October-98   selected...
                If you also think you have found a bug, please test it
                also with older versions (like 0.5beta and 0.4beta). If
                both are not working, it is an old bug not found yet,
                otherwise it is one that is new in 0.6beta (What is
                interesting for me to know...)




                Release Date of version 0.6beta
                I hope this is a pretty stable version and that the main
                feature, the CDDB support will work properly.
                The new version includes

                   * Remote CDDB database support
                   * Listen to suspicious positions
                   * Glitch removal
                   * Fix of speed detection and selection
                   * Browse and edit of the local database
                   * Spindown on errors and fallback afterwards
                   * Some bug fixes, some new bugs
                   * Update of almost all my webpages, but still no real
                     private homepage... It will be done as soon I find
 1-October-98        time next week... ;)
                   * Moved old versions to a subdirectory, because some
                     web pages still points to these old versions like
                     0.1beta or 0.2beta...

                Development will slow down a little bit, because at the
                moment there is lot of other work to do at the university
                (that start again next week), preperations for
                examinations and seminars, furthermore I still have to
                work besides to earn some money.
                But really bad is that yesterday my nice Plextor TSI 12/20
                cdrom drive killed itself somehow. The drive will not
                accept any CDs anymore and sometimes the red LED flashes
                five times, over and over again. This will delay
                development at least some weeks, I hope I find my
                guarantee billet, I don't want to buy a new drive... :(




                I am back from holidays... The holidays at home were nice
                (of course not as nice as REAL holidays...), I did a lot
                of cycling and relaxing.
                I just got informed that there is a bug when using the
 27-September-98Fraunhofer Codec and selecting 48 kHz samplerate... You
                shouldn't use it until 48 kHz mode is fixed (or
                removed)...
                The expected release date is still 1.10.98... Only smaller
                things to do and some bugs to fix.




                Now I have completed nearly all new features, only some
                more fixes to 'Listen to possible Errors'. There is still
                some work to do, e.g. in this 'Listen' dialog it will be
                possible to remove glitches from the wave (only if
                uncompressed). Of course this will remove only glitches,
                that means if only one sample is out of the stream and
                create by this a pop, it will be removed by the routine. I
                plan to also add a routine to remove pops that are bigger
 17-September-98and burried in the sound... But not in this version.
                Expected release date for version 0.6beta is 1.10.98,
                because I want wait for the people at CDDB to check the
                CDDB support to be bug-free...
                Important:
                I will go on holidays tomorrow (only some holidays at home
                (where I come from, not here at the university) :(, that
                means I am not able to respond to mail until 27.9.98...
                Please be patient.




                I am still working on CDDB routines, but I already
                finished CDDBP support (hopefully), still lacking HTTP
                support. I hope to finish the rest of it in a week, so I
                could send the admins of CDDB a pre-beta version to get an
                ok for public release. Meanwhile I will work on the rest
                of the new features, that also should be finished until
                end of september, that will be a release date of the next
                version. Of course it could be a week more or less... If I
 10-September-98know an exact date, I will publish it here.
                I need more informations on Offset Sample feature, so
                please help me to improve it. If you own a Plextor drive
                (12x or more) then test all CDs you own in the list on the
                Technology page. Get the sample offset of each CD
                (should(!) be 0 on all Plextors) and send it to me
                together with the code written on the inner ring on the
                back of the CD (e.g. 532 618-2 02) and the title of the
                CD. Thanks...




                Release Date of version 0.5beta
                A few days ago I saw that the program crashes on some
                systems, even the version 0.4beta. Damn. Why didn't anyone
                told me that this happened? Now it is too late for this
                version to fix it. I will have some tests if I can get
                hold of such a computer. I have to install my complete
                programming environment and then debug the whole thing...
                It still seems to be a problem with the ASPI interface.
                The new version includes

                   * Local CDDB database
                   * Import/Export of cdplayer.ini entries
                   * Filename construction and ID3 Tags
                   * Sample Offset detection and correction
 26-August-98      * Speed detection and selection. This feature was made
                     in a hurry and will work or not. It should show up
                     the possible speeds in the selection box. If you
                     think, that the values are not correct or the speed
                     actually read is faster than the selected, please
                     tell me!
                   * Beep or eject CD after task finished
                   * Some more safety checks and other stuff
                   * Two more extraction methods
                   * Still old bugs
                   * Update of almost all my webpages
                   * Making all old versions available for download

                I am not able to read or answer mails until next monday,
                so please be patient...




                I have nearly finished the local CDDB and Cdplayer.ini
                support. I will try to finish both speed selection and
 18-August-98   sample offsets until expected release date 26.8.98, but I
                can't promise. It's a problem to me, testing my speed
                selection routines with my drives and my ASPI interface...




                I am terribly sorry, by accident I changed the link to EAC
                v0.4beta back to v0.3beta...
 11-August-98   It is now fixed again... Sorry...
                The student server will go down next weekend. It should be
                up again on monday morning.




                Release Date of version 0.4beta
                At first I have to excuse me about a speed calculation
                bug. The calculation uses a wrong constant and the result
                was slightly higher (to be precise, 1.176 times higher).
                So this is now fixed and the cd-rom drive table is
                updated. I just wanted to tell, because otherwise some
                will think the program is getting slower.
                I hope to have found the solution of the ASPI bug, not
                showing up any drives, but I will wait if this is correct.
                ASPI Error EBh still comes up in some versions of ASPI,
                sorry.
                The new version includes
 7-August-98
                   * CD player functions and prelistening to ranges
                   * Detection of pre-track gaps
                   * Burst extraction method
                   * Some new bugs

                New known bugs are

                   * The detection of pre-track gaps will take far too
                     long on some computers (usually it should take a
                     second per track). I will need some more tests on
                     these computers. The detected values are not 100%
                     correct in these cases.
                   * Find out yourself...




                Our student server was down yesterday. If somebody send me
 5-August-98    an e-mail that I haven't answered yet, please re-sent the
                e-mail.




                I have nearly finished two new features of EAC: CD player
                functions and gap length determination.
                All CD rippers, I know of, will append the gap between two
                audio tracks to the previous track. My program will now
                analyze the CD and determine the length of each gap. It
 31-July-98     will be possible to append the gap or to left it out.
                These two features are surely in 0.4beta (it will take a
                week more until next update), but I will try also to
                implement block offsets for non-accurate stream drives. I
                don't know if I could do the spindown already in this
                version...




                Release Date of version 0.3beta
                This new beta is forced to come out, because version
                0.2beta made problems on a huge number of computers.
                Main problems was "Access Violation" and "ASPI interface
                could not be initialized". These errors are still in EAC,
                but it should run on more computers again. I still don't
                know why the ASPI Interface often could not be initialized
                (This is not only a bug in my program - try starting
 22-July-98     ASPICHK from Adaptec. On my computer it always shows the
                same intialization failure). Have a try with different
                ASPI versions to install.
                The new version includes

                   * Normalization of extracted audio
                   * Safety check for available harddisk space
                   * Compile-time dynamic linking of the ASPI interface
                   * more or less bugs ;)




                I recognized that EAC won't work on many computer having
                either an "Access Violation" or an error message "ASPI
                interface could not be initialized". I'm already working
                on this problem and I hope to bring out a new bug-fixed
                version on 22-July.
 20-July-98     Interfacing the ASPI dll caused these problems, because my
                compiler has not a C compatible parameter passing. So I
                will use compile-time dynamic linking in that version. I
                hope it will work.
                Normalization is nearly done and probably also in the new
                version.




                Release Date of version 0.2beta
                including

                   * Copy of ranges of audio cds
 15-July-98        * Fast reading mode
                   * Still some bugs
                   * New homepage
                     This "Whats New" page will updated more often than
                     the downloads




 5-July-98      Back from my one week england holiday ;)




                Release Date of version 0.1beta
                including

                   * Secure reading mode
 25-June-98        * Emulate deactivate cache
                   * ACM CODEC support
                   * Hidden sector synchronization
                   * Usage of the Win 95/NT ASPI Interface
                   * A lot of bugs


